package com.kingdee.eas.custom.recuritment.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class RecuritmentFacadeFactory
{
    private RecuritmentFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.recuritment.task.IRecuritmentFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IRecuritmentFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("38763AD7") ,com.kingdee.eas.custom.recuritment.task.IRecuritmentFacade.class);
    }
    
    public static com.kingdee.eas.custom.recuritment.task.IRecuritmentFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IRecuritmentFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("38763AD7") ,com.kingdee.eas.custom.recuritment.task.IRecuritmentFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.recuritment.task.IRecuritmentFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IRecuritmentFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("38763AD7"));
    }
    public static com.kingdee.eas.custom.recuritment.task.IRecuritmentFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IRecuritmentFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("38763AD7"));
    }
}